Upgrade from 20.115.0039 to 21.100.0127 failed

  • 17 March 2021
  • 6 replies
  • 113 views

Hello Admins!

Just sharing my recent experience:

Upgrade from 20.115.0039 to 21.100.0127 failed with the following error message:

Upgrade process has been interrupted. The database cannot be upgraded because your current build 20.115.0039 is incompatible with the build 21.100.0127. Wait for the next update package that will be compatible with your current build.

Note: Release Notes indicate that migrating from 2020R1 is direct.

I was glad to find out that  upgrading instance in build 20.206.0011 to  21.100.0127  was successful (including Portal).

 

 


6 replies

Userlevel 1
Badge

Thanks! That is useful info!

I got same error: 

Upgrade process has been interrupted. The database cannot be upgraded because your current build (20.116.0032) is incompatible with the build (21.100.0127) you want to install. Wait for the next update package that will be compatible with your current build.

 

I already using installer from this link:

 

 

Thank you all for the comments.

I have raised a case to the Support team.

Some few details on this error:

------------------------------------------------   Inner Messages --------------------------------------------------

Upgrade process has been interrupted. The database cannot be upgraded because your current build (20.115.0039) is incompatible with the build (21.100.0127) you want to install. Wait for the next update package that will be compatible with your current build.

 

---------------------------------------------------   Call Stack -------------------------------------------------   

   at PX.BulkInsert.Installer.InstallationCommon.IsAllowToUpgrade[T](String currentPrintVersion, String installerPrintVersion, List`1 KnownVersions)

   at ConfigCore.Installation.DatabaseWork(BaseInstallProvider provider, ProgressBase progressBar)

   at ConfigCore.Installation.WithProgressBar(BaseInstallProvider provider, Action`2 installationMethod)

 

 

It sounds as if a list of acceptable previous versions needs a correction.

Sorry guys ! My mistake . 

The release notes informs “ 2020 R1 Update 13 (20.113.0025) and earlier “ 

I guess they meant Update 13+ or later or higher

Also, my suggestion is to add a column to the upgrade table (Release Notes) for the build limitation and write  “ 2020 R1 Update 13 (20.113.0025) and later “ .  

Otherwise, one can read the row  “ upgrade path : a direct upgrade to Acumatica ERP 2021 R1 is supported” and stop there , assuming that all upgrades from 20201 R1 are valid. 

Hi guys,

I now have a final understanding of this migration path. 

We usually expect a direct upgrade from most recent builds of the last release and a two migration step from older builds. 

Acumatica support clarified me that this case is actually the contrary. Build 20.113.0025 and earlier can be migrated directly to 2021R1 . 2020R1 Updates higher than 13 cannot.

Hi guys,

I now have a final understanding of this migration path. 

We usually expect a direct upgrade from most recent builds of the last release and a two migration step from older builds. 

Acumatica support clarified me that this case is actually the contrary. Build 20.113.0025 and earlier can be migrated directly to 2021R1 . 2020R1 Updates higher than 13 cannot.

Hi, They cannot be done directly from 13 onwards you indicate, then what would be the step because I am trying to update from 20,113 to 21,100

Reply


About Acumatica ERP system
Acumatica Cloud ERP provides the best business management solution for transforming your company to thrive in the new digital economy. Built on a future-proof platform with open architecture for rapid integrations, scalability, and ease of use, Acumatica delivers unparalleled value to small and midmarket organizations. Connected Business. Delivered.
© 2008 — 2020  Acumatica, Inc. All rights reserved